petsc-3.4.2 2013-07-02

# MatPartitioningSetFromOptions

Sets various partitioning options from the options database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetFromOptions(MatPartitioning part)

Collective on MatPartitioning

### Input Parameter

part -the partitioning context.

### Options Database Command

     -mat_partitioning_type  <type>

         Use -help for a list of available methods

         (for instance, parmetis)

### Keywords

partitioning, set, method, type

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html